void Calibrate()
{
  
  static int previous,location; 
  static byte adjust;
  if(adjust==0) adjust=51;
  
  if(NC>0)    location=NC;                                                     // grid positions 1-9
  if(NC==10)  location=0;                                                      // default postion 
  if(IRC==Rpickupkey) location=10;                                             // robot ball pickup
  if(IRC==Rdropoffkey) location=11;                                            // robot ball dropoff
  if(IRC==Ppickupkey) location=12;                                             // player ball pickup
  if(IRC==Pdropoffkey) location=13;                                            // player ball dropoff
  
  if(IRC==Levelinckey) adjust+=10;
  if(IRC==Leveldeckey) adjust-=10;
  if(adjust<1) adjust=1;
  if(adjust>101) adjust=101;
  
  if(IRC==Griptestkey)
  {
    Gripper .writeMicroseconds(Griplower);
    delay(1000);
    Gripper .writeMicroseconds(Gripupper);
  }
  
  if(IRC==Levelinckey || IRC==Leveldeckey) 
  {
    Serial.print("Adjust: ");
    Serial.println(adjust,DEC);
  }
  
  if(previous!=location)                                                       // new location selected
  {
    previous=location;
    Serial.print("Location: ");
    if(location>0 && location<10)
    {
      Serial.print("Grid position ");
      Serial.println(location,DEC);
    }
    else
    {
      if(location== 0) Serial.println("Default position");
      if(location==10) Serial.println("Robot ball pickup");
      if(location==11) Serial.println("Robot ball dropoff");
      if(location==12) Serial.println("Player ball pickup");
      if(location==13) Serial.println("Player ball dropoff");
    }
    
    MoveArm(location);                                                         // move arm smoothly to new location                
  }
  
  if(IRC==Forwardkey)  shoulderpos[location]+=adjust;                          // UP
  if(IRC==Backwardkey) shoulderpos[location]-=adjust;                          // DOWN
  if(IRC==Rightkey)    elbowpos[location]+=adjust;                             // RIGHT
  if(IRC==Leftkey)     elbowpos[location]-=adjust;                             // LEFT
  
  if(shoulderpos[location]>2400) shoulderpos[location]=2400;
  if(shoulderpos[location]< 600) shoulderpos[location]= 600;
  if(elbowpos[location]>2400) elbowpos[location]=2400;
  if(elbowpos[location]< 600) elbowpos[location]= 600;
  
  if(IRC==forwardkey || IRC==backwardkey || IRC==rightkey || IRC==leftkey)     // update servos after fine adjustment                   
  {
    Shoulder.writeMicroseconds(shoulderpos[location]);                         // move shoulder  servo to final position
    Elbow   .writeMicroseconds(elbowpos[location]);                            // move elbow     servo to final position
    Serial.print("Shoulder position: ");Serial.println(shoulderpos[location]);
    Serial.print("Elbow position: ");Serial.println(elbowpos[location]);
    delay(15);                                                                 // allow time for servo to move
  }
  
  if(IRC==Updatekey) eepromWrite(location,shoulderpos[location],elbowpos[location]);  // update location stored in EEPROM
  IRC=0;
}
