 void ClearBoard()
{
  Serial.println ("Resetting the grid");
  Gripper.writeMicroseconds(Gripcarry);           // raise gripper so arm can move freely
  Pins.writeMicroseconds(Pinslower);              // lower pins
  delay(1000);                                    // allow time for pins to lower and gripper to raise
  
  if(grid[0]>0) LoadChute();                      // if gripper is holding ball when told to reset, put ball in apropriate chute
  
  for(byte i=1;i<10;i++)                          // scan through grid positions                       
  {
    if(grid[i]>0)                                 // only stop at grid positions with balls in them
    {
      Serial.print("Collect ball: ");Serial.println (i,DEC);
      MoveArm(i);                                 // move arm to position i
      Pins.writeMicroseconds(Pinsupper);          // raise pins so arm can collect ball
      delay(600);
      Gripper.writeMicroseconds(Griplower);       // lower gripper to collect ball
      delay(1000);                                // allow time for ball to be firmly gripped
      Gripper.writeMicroseconds(Gripcarry);       // raise gripper so arm can move freely
      Pins.writeMicroseconds(Pinslower);          // lower pins
      delay(1000);                                // allow time for gripper to raise and pins to fully lower 
      grid[0]=grid[i];                            // gripper is now holding ball from grid position i
      grid[i]=0;                                  // ball has been removed from grid
      LoadChute();                                // put ball in appropriate chute
    }
  }
  Serial.println ("Grid reset - ready to play..");
}

void LoadChute()
{
  Serial.print("Deliver ball to ");
  if(grid[0]==1) Serial.println("robots chute");
  if(grid[0]==2) Serial.println("players chute");
  
  byte destination=11;                             // default dropoff is robot ball chute
  if(grid[0]>1) destination=13;                    // if gripper holds player ball then dropoff is player's chute
  MoveArm(destination);                            // take ball to correct chute
  Gripper.writeMicroseconds(Gripupper);            // raise gripper to release ball
  delay(300);                                      // allow time for ball to be released
  grid[0]=0;                                       // gripper is empty
}


  
