
void MoveArm(byte location)
{
  int steps=(abs(shoulderpos[0]-shoulderpos[location])+abs(elbowpos[0]-elbowpos[location]))/20;
  Serial.print("Steps :");Serial.println(steps);
    
  int shoulderstep = (shoulderpos[0]-shoulderpos[location])/steps;   // calculates how much to move shoulder servo in X steps
  int elbowstep    = (elbowpos[0]-elbowpos[location])/steps;         // calculates how much to move elbow    servo in X steps
  
  for(int i=0;i<steps;i++)                                           // move arm to new position in X steps for smooth movement
  {
    shoulderpos[0]-=shoulderstep;                                    // update current shoulder position
    elbowpos[0]-=elbowstep;                                          // update current elbow position
    
    Shoulder.writeMicroseconds(shoulderpos[0]);                      // move shoulder servo to new position
    Elbow   .writeMicroseconds(elbowpos[0]);                         // move elbow    servo to new position
    delay(25);
  }
  
  shoulderpos[0]=shoulderpos[location];                              // ensure final arm position is correct
  elbowpos[0]=elbowpos[location];                                    // previous calculations were rounded to whole numbers
  
  Shoulder.writeMicroseconds(shoulderpos[0]);                        // move shoulder servo to final position
  Elbow   .writeMicroseconds(elbowpos[0]);                           // move elbow    servo to final position
  delay(600);
}
