
void eepromRead()
{
  for(int i=0;i<14;i++)                                           // read calibrated positions stored in EEPROM memory
  { 
    shoulderpos[i]=EEPROM.read(i*4)*256+EEPROM.read(i*4+1);       // reads MSB + LSB of shoulderpos
    elbowpos[i]=EEPROM.read(i*4+2)*256+EEPROM.read(i*4+3);        // reads MSB + LSB of elbowpos
    Serial.println("Arm positions loaded from EEPROM.");
  }
}

void eepromWrite(int location,int shoulder,int elbow)             // update calibrated position stored in EEPROM memory
{
  EEPROM.write(location*4  ,highByte(shoulderpos[location]));     // update shoulderpos MSB
  EEPROM.write(location*4+1,lowByte (shoulderpos[location]));     // update shoulderpos LSB
  EEPROM.write(location*4+2,highByte(elbowpos[location]));        // update elbowpos MSB
  EEPROM.write(location*4+3,lowByte (elbowpos[location]));        // update elbowpos LSB
  Serial.println("EEPROM updated.");
}
    
